#/*
# *  Copyright 2007-2009 hkrn <hikarin@users.sourceforge.jp>
# *
# *  Licensed under the Apache License, Version 2.0 (the "License");
# *  you may not use this file except in compliance with the License.
# *  You may obtain a copy of the License at
# *
# *      http://www.apache.org/licenses/LICENSE-2.0
# *
# *  Unless required by applicable law or agreed to in writing, software
# *  distributed under the License is distributed on an "AS IS" BASIS,
# *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# *  See the License for the specific language governing permissions and
# *  limitations under the License.
# */
#
# $Id: Setting.pm 1826 2009-04-08 15:23:25Z hikarin $
#

package Img0ch::Compat::Setting;

use strict;

sub load {
    my ( $iRepos, $iBBS ) = @_;
    my $iKernel = $iBBS->get_kernel();
    my $path    = $iBBS->path('SETTING.TXT');
    -r $path or return 0;

    my $fh = $iKernel->get_read_file_handle($path);
    while ( my $line = <$fh> ) {
        chomp $line;
        index( $line, '=' ) >= 0 or next;
        my ( $key, $value ) = split '=', $line, 2;
        $iRepos->set( $key, $value );
    }
    close $fh or $iKernel->throw_io_exception($path);
    return 1;
}

1;
__END__
